Package org.eclipse.cdt.core.dom.parser.cpp

# Class POPCPPParserExtensionConfiguration

java.lang.Object
org.eclipse.cdt.core.dom.parser.cpp.AbstractCPPParserExtensionConfiguration
org.eclipse.cdt.core.dom.parser.cpp.GPPParserExtensionConfiguration
org.eclipse.cdt.core.dom.parser.cpp.POPCPPParserExtensionConfiguration

All Implemented Interfaces:
  `ICPPParserExtensionConfiguration`

public class POPCPPParserExtensionConfiguration extends GPPParserExtensionConfiguration
Configures the parser to accept POP C++, see Documentation

Since:
  5.1

## Constructor Summary

Constructors
Constructor
Description
`POPCPPParserExtensionConfiguration()`

## Method Summary

Modifier and Type
Method
Description
`static POPCPPParserExtensionConfiguration`
`getInstance()`
`boolean`
`supportParameterInfoBlock()`
Skips information in brackets provided at the beginning of a parameter declaration:
void accelerate([proc=marsh] const Speed &data);

### Methods inherited from class org.eclipse.cdt.core.dom.parser.cpp.GPPParserExtensionConfiguration

`allowRestrictPointerOperators, getAdditionalContextSensitiveKeywords, getBuiltinBindingsProvider, supportAlignOfUnaryExpression, supportAttributeSpecifiers, supportComplexNumbers, supportDeclspecSpecifiers, supportExtendedTemplateSyntax, supportGCCStyleDesignators, supportKnRC, supportLongLongs, supportMinAndMaxOperators, supportRestrictKeyword, supportStatementsInExpressions, supportTypeofUnaryExpressions`

### Methods inherited from class org.eclipse.cdt.core.dom.parser.cpp.AbstractCPPParserExtensionConfiguration

`supportExtendedSizeofOperator, supportFunctionStyleAssembler, supportGCCOtherBuiltinSymbols, supportUserDefinedLiterals`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### POPCPPParserExtensionConfiguration

public POPCPPParserExtensionConfiguration()

## Method Details

### getInstance

public static POPCPPParserExtensionConfiguration getInstance()

### supportParameterInfoBlock

public boolean supportParameterInfoBlock()
Description copied from interface: `ICPPParserExtensionConfiguration`
Skips information in brackets provided at the beginning of a parameter declaration:
void accelerate([proc=marsh] const Speed &data);

Specified by:
  `supportParameterInfoBlock` in interface `ICPPParserExtensionConfiguration`
Overrides:
  `supportParameterInfoBlock` in class `AbstractCPPParserExtensionConfiguration`